//create custom TocRenderer
function CustomTocRenderer() {
  //this.inheritsFrom(new EsriTocRenderer());
  adf.Utils.inheritsFrom(this, new adf.TocRenderer());
  var container = null;

  //implement init method
  this.init = function(cont) {
    container = cont;
  }

  //implement renderNode method. Argument node of type EsriTocNode
  this.renderNode = function(node) {
    var text = "<span style='font-family:verdana; font-size:8pt;'>";
    for (var i=1;i<node.level;i++)
      text += " &nbsp; &nbsp;";

    if (node.isSelected)
      text += "<b>";

    if (node.imageUrl)
      text += "<img src='" + node.imageUrl + "'/>";

    text += " " + node.label + " ";

    if (node.isSelected)
      text += "</b>";

    container.innerHTML += text + "</span><br />";
  }
}