<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8" %>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ page language="java" import="java.util.Locale" %>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Custom TOC Renderer</title>

    <link rel="stylesheet" href="css/esri_styles.css" type="text/css" media="screen"></link>
    <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    <script type="text/javascript">
      adfdojo.require("adf.adf");
      adfdojo.requireLocalization("resource","adf");
    </script>
    <script type="text/javascript" src="js/esri/adf/deprecated.js"></script>
    
  </head>
  <body>
    <f:view>
      <a:context value="#{mapContext}" />
      <h:form id="mapForm">
        <table border="0">
          <tbody>
            <tr>
              <td />
              <td>
                 <a:task id="mapToolsTask" value="#{mapContext.attributes.webappMapToolsTask}" taskInfo="#{mapContext.attributes.webappMapToolsTask.taskInfo}" mapId="map1" windowingSupport="false" style="padding:0px;margin:0px;" xslFile="maptoolstask.xsl" />
              </td>
              <td />   
            </tr>
            <tr>
              <td><a:toc mapId="map1" value="#{mapContext.attributes.toc}" style="width:200px; height:400px; overflow:auto;" xslFile="customTocRenderer.xsl"/></td>
              <td><a:map value="#{mapContext.webMap}" id="map1" width="400" height="400" /></td>
              <td><a:toc mapId="map1" value="#{mapContext.attributes.toc}" style="width:200px; height:400px; overflow:auto;" /></td>
            </tr>
          </tbody>
        </table>
      </h:form>
    </f:view>
  </body>
</html>